Microsoft warns of Office flaw; Office 2004 for Mac potentially vulnerable

“Microsoft has warned of an unpatched vulnerability in its Office productivity suite,” John Leyden reports for The Register.

“The bug, which arises from an unspecified flaw in handling strings, might be exploited to corrupt memory on a vulnerable system. The flaw allows malware to be loaded onto exposed systems providing users are tricked into opening maliciously-constructed files. Computers running Microsoft Office 2000, Office XP, Office 2003, and Microsoft Office 2004 for Mac are all potentially vulnerable,” Leyden reports.

Leyden reports, “Users are advised not to open untrusted Office documents pending the release of patches from Microsoft.”

Full article with more info and links here.

[Thanks to MacDailyNews Reader “RadDoc” for the heads up.]

Related article:
Mac users should not buy Microsoft software (or hardware) – May 16, 2003

21 Comments

  1. Another day another Windows or Office vulnerability, so what else is new? Didn’t Bill Gates just say last week that Macs are exploited daily, but that Microsoft software is much more secure and doesn’t have that problem? I’m still waiting to see the proof of that. Sounds like you’re full of sh*t to me Bill.

  2. “The flaw allows malware to be loaded onto exposed systems providing users are tricked into opening maliciously-constructed files.”
    What malware? An Office 2004 update?
    I’m still using Office vX in its 10.1.8 version. Outdated, but reasonably stable for a MS application.

  3. Eh, nice computer you got there, bub. Be kinda sad if something were to *happen* to it, if ya catch my drift.

    I’m not sayin’ somethin’ *will* happen, just that it could. Ya know?

    ‘be a shame.

    My associates and I have a “Package” you may be interested in. Yeah.

    We call it “Microsoft Office 2007.”

  4. Sure glad I use pages and keynote instead of Microsh*t Orifice…

    Leaves you with a hole new feeling, huh…
    ” width=”19″ height=”19″ alt=”smile” style=”border:0;” />

    I prefer not to use his sh1te…

    MDN: his

  5. Ahhaaaaa…. this is what Bill Gates meant when he said there were vulnerabilities for Macs.

    Guess he must have been forewarned.

    ” width=”19″ height=”19″ alt=”wink” style=”border:0;” />

Reader Feedback

This site uses Akismet to reduce spam. Learn how your comment data is processed.